<?
/**
 * VoiceOne Settings/Rules/timesegment
 *
 * Frontend to provide access to the rules system in voiceone.
 * @package voiceone
 * @subpackage  settings_rules
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  $alert=getAlert();
  
  //================ POST & GET =================
  //delete time segment
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delTimeSegment($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".T_("Time Segment deleted")."</div>";
    else $alert="<div class=\"AlertBad\">".T_("Time Segment not deleted")."</div>";
    goToMainPage($alert,"./");
  }
  
  //================ PAGE LOGIC ================
  //get timesegments
  $ret=$asterisk->getTimeSegment(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $html.="<td><a href=\"edit/?id=$id\">$name</a> <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('".sprintf(T_("Are you sure you want to remove the Time Segment: %1\$s"), $name )."')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <?$sel="timesegment";include("../navigation.php");?>

  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=T_("Time Segments")?></h1>
    <h3><a href="edit/" class="admin" ><?=T_("New Time Segment")?></a></h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
    <div class="Sidebar">
      <h1><?=T_("Informations")?></h1>
      <p><?=T_("This page shows the time segments configured on the system. To create a new time segment follow the link under the section title, otherwise click on an existing time segment to edit it or on the basket on the right of the name to delete it.")?></p>  
    </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================
  $smarty->assign("section", "rules");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

